# Method: properties.list

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/list#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/list#body.PropertyList.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/list#try-it)

Lists a file's properties.

### HTTP request

`GET https://www.googleapis.com/drive/v2/files/{fileId}/properties`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `fileId` | `string` The ID of the file. |

### Request body

The request body must be empty.

### Response body

A collection of properties, key-value pairs that are either public or private to an application.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "items": [ { object (`https://developers.google.com/workspace/drive/api/reference/rest/v2/properties#Property`) } ], "kind": string, "etag": string, "selfLink": string } ``` |

| Fields ||
|---|---|
| `items[]` | ``object (`https://developers.google.com/workspace/drive/api/reference/rest/v2/properties#Property`)`` The list of properties. |
| `kind` | `string` This is always `drive#propertyList`. |
| `etag` | `string` The ETag of the list. |
| `selfLink` | `string` The link back to this list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/docs`
- `
  https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.appdata`
- `
  https://www.googleapis.com/auth/drive.file`
- `
  https://www.googleapis.com/auth/drive.meet.readonly`
- `
  https://www.googleapis.com/auth/drive.metadata`
- `
  https://www.googleapis.com/auth/drive.metadata.readonly`
- `
  https://www.googleapis.com/auth/drive.photos.readonly`
- `
  https://www.googleapis.com/auth/drive.readonly`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).